package com.example.nto.repository;

import com.example.nto.entity.Employee;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface EmployeeRepository extends JpaRepository<Employee, Long> {
    boolean existsByLogin(String login);
    Optional<Employee> getByLogin(String login);
    Optional<Employee> findByLogin(String login);

}
