package com.example.nto.service;

import com.example.nto.entity.Employee;

import java.util.Optional;

public interface EmployeeService {
    boolean checkEmployeeExists(String login);
    Optional<Employee> getEmployeeInfo(String login);
    boolean doorIsOpen(String login, long code);
    void updateLastVisit(String login);
    Employee getEmployeeInfoById(Long id);
    void deleteEmployee(Long id);
    Employee updateEmployeeLogin(Long id, String newLogin);
    Employee updateEmployeeAvatar(Long id, String newAvatar);
    Employee updateEmployeePosition(Long id, String newPosition);
}
